Author Topic: Newbie needs help deciding  (Read 4505 times)

0 Members and 1 Guest are viewing this topic.

Offline shadixNDSL

  • Newbie
  • *
  • Posts: 4
Newbie needs help deciding
« on: May 18, 2006, 01:52:13 PM »
Hey, I'm a newb at this whole NDS thing. I have a GBA and still have a 128M F2A flash cart and a 128M XG flash cart. I just pre-ordered a NDSL and want to buy a flash cart set for it to run roms. I've done some research on all the flash carts and I find choosing one very difficult. What do you folks suggest. I'm also looking for something at a budget of at most $150 USD and that works on the new NDSL. I'm considering the Neo Max 1g  tell me if thats a wise choice. Is there anything new coming out that I should wait for that will be almost 100% compatible with NDS roms? Also, I'm still trying to figure out if the Neo Max and Neo flash do the same thing or if the max is better than the flash....pretty much I need advice. Thanks

Offline bruceg

  • NEO Tester
  • Hero Member
  • *****
  • Posts: 1512
Re: Newbie needs help deciding
« Reply #1 on: May 21, 2006, 05:23:37 AM »
No, neomax doesn't have 100% compatibility, so I would pass on that one.  I doubt there is any option that plays every rom out there perfectly...

For highest compatibilty, m3 and supercard are currently good options.  The neo 2 flashcart and mk4 sd will be released in the future and will be improved over the current neoflash products, but it's a little too early to speculate how they will actually perform...

BruceG

Offline shadixNDSL

  • Newbie
  • *
  • Posts: 4
Re: Newbie needs help deciding
« Reply #2 on: May 21, 2006, 06:01:39 AM »
Thanks, I've actually been looking into the M3 and I think I'm gonna end up getting that and a supercard 2 for my DS lite. However, I'm confused on whether or not I will need to get a passkey device with that also to program it to work with the supercard 2?

Offline bruceg

  • NEO Tester
  • Hero Member
  • *****
  • Posts: 1512
Re: Newbie needs help deciding
« Reply #3 on: May 21, 2006, 02:58:57 PM »
You need a passme2 type device (such as superpass 2, passkey2, etc.), since the ds lite has the latest firmware.  The passme2 device is generally used to install the flashme firmware on the ds lite, in order to make it compatible with supercard, m3, magic key 3, etc...

However, some people have apparently been experiencing some problems flashing their ds lites (I assume because of the smaller form factor).  If the power cuts off at the wrong time, your ds has the potential to get bricked.  The supercard (www.scdev.org) forum discusses the issue in a lot more detail than here...

BruceG
« Last Edit: May 21, 2006, 03:01:25 PM by bruceg »

Offline Scor

  • Full Member
  • ***
  • Posts: 107
Re: Newbie needs help deciding
« Reply #4 on: May 21, 2006, 04:00:08 PM »
The problem with the DS lite is that alongside SL1 (the bridge that needs to be shorted) are a bunch of components (I don't know which and it itsn't really important).
A way to go around this is by putting some paper (for example) around the hole which SL1 is in.
Then it should be fine (just read www.dspassme.com).

Offline shadixNDSL

  • Newbie
  • *
  • Posts: 4
Re: Newbie needs help deciding
« Reply #5 on: May 21, 2006, 09:35:42 PM »
I'm sorry I meant to type Passcard 2, not Supercard. Sorry for the trouble. I'm getting an M3 and passcard 2. What I meant to say was would I need to get a passkey device or am I fine with just an m3 mini sd and passcard? Or would I need to get anything else with them?

The whole FlashMe for the DS lite interested me since it would use less battery, save bout 40 bucks, etc., but I have to think about that.

 Thanks again bruceG and Scor

Offline Scor

  • Full Member
  • ***
  • Posts: 107
Re: Newbie needs help deciding
« Reply #6 on: May 21, 2006, 10:00:54 PM »
I'm getting an M3 and passcard 2.
Well, eum.. Your being contradictionary :).
What I meant to say was would I need to get a passkey device or am I fine with just an m3 mini sd and passcard?
You say your going to buy a passme2 (the passcard 2), and then you ask if you need a passme (1/2).
So if your buying a M3 and a passcard 2 you will no longer need to buy a second passme (1/2).
If you only buy the M3, then you need to borrow a passme (1/2) once to install flashme.
One thing is better (not counting power use and something sticking out on your DS) and that is less risk of bricking.
Because of the safety code in the flashme firmware, if you brick your DS you can restore it.

Offline shadixNDSL

  • Newbie
  • *
  • Posts: 4
Re: Newbie needs help deciding
« Reply #7 on: May 21, 2006, 11:32:54 PM »
Alright, got ya.

Offline bruceg

  • NEO Tester
  • Hero Member
  • *****
  • Posts: 1512
Re: Newbie needs help deciding
« Reply #8 on: May 23, 2006, 03:06:49 PM »
You will need a passme2 type device (I assume the passcard 2 is just the smaller version of the passkey 2) since the original passme 1 devices aren't compatible with the latest firmware on the ds lite.... 

Another product that should work well is the Datel max media launcher (size of a ds cartridge)...  It doesn't require any data file to be written to SRAM (so it's plug-and-play), and is affordable as well ($20)...

BruceG
« Last Edit: May 23, 2006, 03:24:55 PM by bruceg »

Offline Scor

  • Full Member
  • ***
  • Posts: 107
Re: Newbie needs help deciding
« Reply #9 on: May 23, 2006, 11:38:49 PM »
You will need a passme2 type device (I assume the passcard 2 is just the smaller version of the passkey 2) since the original passme 1 devices aren't compatible with the latest firmware on the ds lite....
The way you say it seems like he needs to buy another passme (first buy one with the M3 and then buy another one).
Anyway, the Datel launcher is reviewed here:
http://www.ndshb.com/modules.php?name=News&file=article&sid=105

Offline bruceg

  • NEO Tester
  • Hero Member
  • *****
  • Posts: 1512
Re: Newbie needs help deciding
« Reply #10 on: May 24, 2006, 04:51:17 AM »
No, just a single passme2 device (passcard 2 or max media launcher) will suffice, as you mentioned....  I just wasn't clear if he already had an existing passme 1 device, which wouldn't work with the new firmware on the lite...

BruceG